package com.phlx.anchorcollect.params;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * <pre>
 *     author : lei
 *     e-mail : 18600395998@163.com
 *     time   : 2020/05/09
 *     desc   :
 *     version: 1.0
 * </pre>
 */
public class PostParams implements Parcelable {


    /**
     * inputTime : 0
     * pageNum : 0   页码
     * pageSize : 0  数量
     * years : string 默认当年
     */

    private long inputTime;
    private int pageNum;
    private int pageSize;
    private String years;

    public long getInputTime() {
        return inputTime;
    }

    public void setInputTime(long inputTime) {
        this.inputTime = inputTime;
    }

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getYears() {
        return years;
    }

    public void setYears(String years) {
        this.years = years;
    }

    @Override
    public String toString() {
        return "PostParams{" +
                "inputTime=" + inputTime +
                ", pageNum=" + pageNum +
                ", pageSize=" + pageSize +
                ", years='" + years + '\'' +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(this.inputTime);
        dest.writeInt(this.pageNum);
        dest.writeInt(this.pageSize);
        dest.writeString(this.years);
    }

    public PostParams() {
    }

    protected PostParams(Parcel in) {
        this.inputTime = in.readLong();
        this.pageNum = in.readInt();
        this.pageSize = in.readInt();
        this.years = in.readString();
    }

    public static final Creator<PostParams> CREATOR = new Creator<PostParams>() {
        @Override
        public PostParams createFromParcel(Parcel source) {
            return new PostParams(source);
        }

        @Override
        public PostParams[] newArray(int size) {
            return new PostParams[size];
        }
    };
}
